OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs Class Reference

To embody general definitions of Entities
(Parameters, Tables ...)
.

`#include <IGESDefs.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Init ()
| Prepares dynamic data (Protocol, Modules) for this package .
static Standard_EXPORT Handle_IGESDefs_Protocol | Protocol ()
| Returns the Protocol for this Package .

## Member Function Documentation

static Standard_EXPORT void IGESDefs::Init | ( |  | ) | `[static]`

void IGESDefs::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDefs::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDefs::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_IGESDefs_Protocol IGESDefs::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- IGESDefs.hxx